package com.qmth.teachcloud.mark.bean.cardJson;

import org.apache.commons.collections4.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

public class Description {

    private List<DescriptionCode> list;

    public List<DescriptionCode> getList() {
        return list;
    }

    public void setList(List<DescriptionCode> list) {
        this.list = list;
    }

    public List<CourseCard> getCourseCardList() {
        List<CourseCard> courseCardList = new ArrayList<>();
        if (CollectionUtils.isNotEmpty(list)) {
            for (DescriptionCode descriptionCode : list) {
                for (DescriptionCourse course : descriptionCode.getCourses()) {
                    courseCardList.add(new CourseCard(descriptionCode.getCode(), course.getCode(), course.getName()));
                }
            }
        }
        return courseCardList;
    }

}
